package com.gic.haoban.manage.web.qo.chat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shangfeng
 * @date 2024-10-12 14:40:12
 */
public class GroupChatActivityInviteLogReq implements Serializable {
    private static final long serialVersionUID = 4318122460400124472L;

    /**
     * 页编号
     */
    private Integer pageNum;

    /**
     * 页大小
     */
    private Integer pageSize;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 邀请人会员ID
     */
    private String inviterMemberId;

    /**
     * 受邀请人会员ID
     */
    private String inviteeMemberId;

    /**
     * 有效邀请类型 1有效0无效
     */
    private Integer inviteType;

    /**
     * 是否新增会员 1是 0否 null未统计
     */
    private Integer addMemberType;

    /**
     * 批次
     */
    private Integer batchNumber;

    /**
     * 开始时间
     */
    private Date beginTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 下载导出参数：数据脱敏 1:脱敏 2:完整
     */
    private Integer dataType;

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }

    public String getInviteeMemberId() {
        return inviteeMemberId;
    }

    public void setInviteeMemberId(String inviteeMemberId) {
        this.inviteeMemberId = inviteeMemberId;
    }

    public Integer getInviteType() {
        return inviteType;
    }

    public void setInviteType(Integer inviteType) {
        this.inviteType = inviteType;
    }

    public Integer getAddMemberType() {
        return addMemberType;
    }

    public void setAddMemberType(Integer addMemberType) {
        this.addMemberType = addMemberType;
    }

    public Integer getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(Integer batchNumber) {
        this.batchNumber = batchNumber;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }
}
